Bug 228938 - security/razorback-api: Fails to build with OpenSSL 1.1
Summary: security/razorback-api: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://reviews.freebsd.org/D20844
Keywords:
Depends on:
Blocks: 228865 231931
  Show dependency treegraph
 
Reported: 2018-06-12 14:24 UTC by Bernard Spil
Modified: 2019-11-14 01:04 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tj)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-12 14:24:01 UTC
incomplete definition of type 'struct rsa_st'

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released.
Comment 2 Rene Ladan freebsd_committer 2018-11-06 21:43:32 UTC
Maintainer reset.
Comment 3 John Baldwin freebsd_committer freebsd_triage 2019-07-03 19:48:28 UTC
I have a patch that lets this compile, but isn't otherwise tested.
Comment 4 commit-hook freebsd_committer 2019-11-14 01:04:38 UTC
A commit references this bug:

Author: jhb
Date: Thu Nov 14 01:04:03 UTC 2019
New revision: 517553
URL: https://svnweb.freebsd.org/changeset/ports/517553

Log:
  Update security/razorback-api to compile with OpenSSL 1.1.x.

  This is only compile tested, not run-tested as I don't use this
  software.  Rather than patching the nested libssh, it switches
  to using libssh from security/libssh.  There is then an additional
  patch to support OpenSSL 1.1.

  PR:		228938
  Approved by:	lwhsu
  Differential Revision:	https://reviews.freebsd.org/D20844

Changes:
  head/security/razorback-api/Makefile
  head/security/razorback-api/files/patch-Makefile.in
  head/security/razorback-api/files/patch-configure
  head/security/razorback-api/files/patch-etc-Makefile.in
  head/security/razorback-api/files/patch-include-Makefile.in
  head/security/razorback-api/files/patch-include-razorback-types.h
  head/security/razorback-api/files/patch-m4-Makefile.in
  head/security/razorback-api/files/patch-src-Makefile.in
  head/security/razorback-api/files/patch-src-hash.c
  head/security/razorback-api/pkg-plist
  head/security/razorback-dispatcher/Makefile